﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string physicalPathToFolder = Server.MapPath("~/Thumbs");
        string filter = "*";// All files
        RadRotator.DataSource = this.GetFolderContent(physicalPathToFolder, filter);
        RadRotator.DataBind();
    }

    private List<object> GetFolderContent(string folderPath, string filter)
    {
        List<object> dataSource = new List<object>();

        foreach (string filePath in Directory.GetFiles(folderPath, filter))
        {
            dataSource.Add(new { ImageURL = GetVirtualPath(filePath) });
        }

        return dataSource;
    }

    public string GetVirtualPath(string physicalPath)
    {
        string rootpath = Server.MapPath("~/");
        physicalPath = physicalPath.Replace(rootpath, "");
        physicalPath = physicalPath.Replace("\\", "/");
        return "~/" + physicalPath;
    }
}
